summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAnish Athalye <me@anishathalye.com>2016-01-18 04:16:04 -0500
committerAnish Athalye <me@anishathalye.com>2016-01-18 04:16:04 -0500
commit38666c8937b48674242c8eecafe9bc14c171b3f6 (patch)
tree3d33bc283017eae2585a567edb408878eb21fe5d
parent80c2d8385556ef3f82858f9d8e5050a175cec0ad (diff)
parentc536f5fa3fde253fc4460b5944ce32b8d6d42643 (diff)
Merge branch 'bchretien/master'
-rw-r--r--.travis.yml2
-rwxr-xr-xtest/test_travis6
2 files changed, 8 insertions, 0 deletions
diff --git a/.travis.yml b/.travis.yml
index 8c2d54c..6c326c0 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -6,5 +6,7 @@ python:
- "3.4"
- "3.5"
+sudo: false
+
script:
- ./test/test_travis
diff --git a/test/test_travis b/test/test_travis
index 8117ec9..3f34084 100755
--- a/test/test_travis
+++ b/test/test_travis
@@ -8,6 +8,12 @@ set -e
BASEDIR="$(cd "$(dirname "${BASH_SOURCE[0]}")/.." && pwd)"
+# Prevent execution outside of Travis CI builds
+if [[ "${TRAVIS}" != true || "${CI}" != true ]]; then
+ echo "Error: `basename "$0"` should only be used on Travis"
+ exit 2
+fi
+
# Travis runs do not rely on Vagrant
export USE_VAGRANT=false
export DOTBOT_EXEC="${BASEDIR}/bin/dotbot"